Package org.apache.sling.sitemap.impl.builder.extensions

## Class ExtensionProviderManager

- java.lang.Object
- - org.apache.sling.sitemap.impl.builder.extensions.ExtensionProviderManager

    public class ExtensionProviderManager
    extends Object

### Constructor Summary

Constructors
`ExtensionProviderManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `activate​(org.osgi.framework.BundleContext bundleContext)`
`protected void` `bindExtensionProvider​(org.osgi.framework.ServiceReference<SitemapExtensionProvider> ref)`
`@Nullable ExtensionFactory` `getExtensionFactory​(Class<? extends Extension> extensionInterface)`
`@NotNull Map<String,​String>` `getNamespaces()` Returns an unique mapping from namespace to prefix.
`protected void` `unbindExtensionProvider​(org.osgi.framework.ServiceReference<SitemapExtensionProvider> ref)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExtensionProviderManager

    public ExtensionProviderManager()

### Method Detail

#### activate

    protected void activate​(org.osgi.framework.BundleContext bundleContext)

#### bindExtensionProvider

    protected void bindExtensionProvider​(org.osgi.framework.ServiceReference<SitemapExtensionProvider> ref)

#### unbindExtensionProvider

    protected void unbindExtensionProvider​(org.osgi.framework.ServiceReference<SitemapExtensionProvider> ref)

#### getNamespaces

    @NotNull
    public @NotNull Map<String,​String> getNamespaces()

Returns an unique mapping from namespace to prefix.

Returns:

#### getExtensionFactory

    @Nullable
    public @Nullable ExtensionFactory getExtensionFactory​(Class<? extends Extension> extensionInterface)